%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}%{_datadir}/doc/
Summary:        Thread-safe queues
Name:           perl-Thread-Queue
Version:        3.13
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Thread-Queue
Source0:        https://cpan.metacpan.org/authors/id/J/JD/JDHEDDEN/Thread-Queue-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
BuildRequires:  perl(warnings) sed
BuildRequires:  perl(Carp) perl(Scalar::Util) >= 1.10 perl(threads::shared) >= 1.21
BuildRequires:  perl(Exporter) perl(Test::More) >= 0.50 perl(Thread::Semaphore) perl(threads)
Requires:       perl-libs perl(Carp)

%description
Thread-safe queues provides thread-safe FIFO queues that you can access
any number of threads safely .

%prep
%autosetup -p1 -n Thread-Queue-%{version}
sed -i -e '1 s|^#!/usr/bin/env perl|%(perl -MConfig -e 'print $Config{startperl}')|' examples/queue.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.13-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Feng Weiyao <wynnfeng@tencent.com> - 3.13-1
- package init.
